### Class

# Gcr GeneralName

unstable since: 4.3.90

#### Description [src]

    final class Gcr.GeneralName : GObject.Object
    {
      /* No available fields */
    }

An object describing a name as part of the Subject Alternative Name (SAN) extension.

Available since: 4.3.90

#### Ancestors

- GObject

#### Instance methods

###### gcr_general_name_get_description

Returns a user-friendly string describing the name.

###### gcr_general_name_get_value

Returns the actual value of the name.

###### gcr_general_name_get_value_raw

Returns the raw bytes describing the value of the name.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrGeneralNameClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.